Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class ExtentImpl<T>

    java.lang.Object
      org.apache.openjpa.persistence.ExtentImpl<T>

All Implemented Interfaces:
  Iterable<T>, Extent<T>

    public class ExtentImpl<T>

extends Object
implements Extent<T>

An extent is a logical view of all instances of a class.

Since:
  0.4.1
Author:
  Abe White

Constructor Summary
`ExtentImpl(EntityManagerImpl em, Extent<T> extent)` Constructor; supply delegate.

Method Summary
`void` | `closeAll()` Close all open iterators that are consuming database resources.
`boolean` | `equals(Object other)`
`Extent<T>` | `getDelegate()` Delegate.
`Class<T>` | `getElementClass()` The extent's element type.
`OpenJPAEntityManager` | `getEntityManager()` The owning entity manager.
`FetchPlan` | `getFetchPlan()` Fetch configuration for controlling how iterated objects are loaded.
`boolean` | `getIgnoreChanges()` Whether the extent sees inserts and deletes in the current transaction.
`int` | `hashCode()`
`boolean` | `hasSubclasses()` Whether the extent includes subclasses.
`Iterator<T>` | `iterator()`
`List<T>` | `list()` List the extent contents.
`void` | `setIgnoreChanges(boolean ignoreChanges)` Whether the extent sees inserts and deletes in the current transaction.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtentImpl

    public ExtentImpl(EntityManagerImpl em,
                      Extent<T> extent)

  Constructor; supply delegate.

Method Detail

### getDelegate

    public Extent<T> getDelegate()

  Delegate.

  Specified by:
    `getDelegate` in interface `Extent<T>`

### getElementClass

    public Class<T> getElementClass()

  Description copied from interface: `Extent`
  The extent's element type.

  Specified by:
    `getElementClass` in interface `Extent<T>`

### hasSubclasses

    public boolean hasSubclasses()

  Description copied from interface: `Extent`
  Whether the extent includes subclasses.

  Specified by:
    `hasSubclasses` in interface `Extent<T>`

### getEntityManager

    public OpenJPAEntityManager getEntityManager()

  Description copied from interface: `Extent`
  The owning entity manager.

  Specified by:
    `getEntityManager` in interface `Extent<T>`

### getFetchPlan

    public FetchPlan getFetchPlan()

  Description copied from interface: `Extent`
  Fetch configuration for controlling how iterated objects are loaded.

  Specified by:
    `getFetchPlan` in interface `Extent<T>`

### getIgnoreChanges

    public boolean getIgnoreChanges()

  Description copied from interface: `Extent`
  Whether the extent sees inserts and deletes in the current transaction.

  Specified by:
    `getIgnoreChanges` in interface `Extent<T>`

### setIgnoreChanges

    public void setIgnoreChanges(boolean ignoreChanges)

  Description copied from interface: `Extent`
  Whether the extent sees inserts and deletes in the current transaction.

  Specified by:
    `setIgnoreChanges` in interface `Extent<T>`

### list

    public List<T> list()

  Description copied from interface: `Extent`
  List the extent contents.

  Specified by:
    `list` in interface `Extent<T>`

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`

### closeAll

    public void closeAll()

  Description copied from interface: `Extent`
  Close all open iterators that are consuming database resources.

  Specified by:
    `closeAll` in interface `Extent<T>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.